package geog;

/**
 * A location on the Earth (in longitude/latitude).
 *
 * @author CS159 Professors, James Madison University
 * @version 1
 */
public class Location {
    private double longitude, latitude;

    /**
     * Explicit Value Constructor.
     *
     * @param longitude The longitude (in decimal degrees)
     * @param latitude The latitude (in decimal degrees)
     */
    public Location(double longitude, double latitude) {
        this.longitude = longitude;
        this.latitude = latitude;
    }

    /**
     * Get the latitude.
     *
     * @return The latitude (in decimal degrees)
     */
    public double getLatitude() {
        return latitude;
    }

    /**
     * Get the longitude.
     *
     * @return The longitude (in decimal degrees)
     */
    public double getLongitude() {
        return longitude;
    }

    /**
     * Get a String representation of this Location.
     * 
     * @return The String
     */
    public String toString() {
        return String.format("%+9.6f,%+9.6f", longitude, latitude);
    }
}
