package geog;

/**
 * A location on a Segment (in longitude/latitude).
 *
 * Note: This class uses the String ID of the Segment. It could, instead, use
 * the Segment reference itself.
 *
 * @author CS159 Professors, James Madison University
 * @version 1
 */
public class OnSegmentLocation extends Location
        implements Comparable<OnSegmentLocation> {

    private String id;

    /**
     * Explicit Value Constructor.
     *
     * @param id The Segment ID
     * @param longitude The longitude (in decimal degrees)
     * @param latitude The latitude (in decimal degrees)
     */
    public OnSegmentLocation(String id, double longitude, double latitude) {
        super(longitude, latitude);
        this.id = id;
    }

    /**
     * Compare this OnSegmentLocation to another (required by Comparable).
     *
     * @param other The other OnSegmentLocation
     * @return r<0, r=0, or r>0
     */
    public int compareTo(OnSegmentLocation other) {
        return this.id.compareTo(other.id);
    }
}
